#! /bin/bash

echo "Jetzt wird versucht das Woerterbuch-Programm \"steak\" auf Ihrem System"
echo "zu installieren! Wenn Sie bei den Fragen auf ENTER druecken, wird "
echo "automatisch die im Klammer angegebene Antwort genommen."
echo
echo
echo "Unter welchem Verzeichnis wollen Sie die Programme und den Datensatz"
echo "kopieren? [/usr/local/Steak]"
read SteakVERZEICHNIS

if [ -z $SteakVERZEICHNIS ]
then 
    SteakVERZEICHNIS=/usr/local/Steak
fi

mkdir "$SteakVERZEICHNIS"

cp -r Datensatz/ "$SteakVERZEICHNIS"
cp mini_steak_icon.xpm pinguin_steak_icon.xpm copyrights.txt help.txt version.txt README README.eng iso2txt poll printbuffer spacefilter .Steakconfig "$SteakVERZEICHNIS"


cp woerterbuch /tmp/woerterbuch$$

NUMMER=`grep -n "^SteakDIR=.*" woerterbuch | cut -f1 -d:`
echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
echo "< SteakDIR=\$HOME/bin/Steak/Datensatz" >> /tmp/diff$$
echo "---" >> /tmp/diff$$
echo "> SteakDIR=$SteakVERZEICHNIS/Datensatz" >> /tmp/diff$$
patch /tmp/woerterbuch$$ /tmp/diff$$

NUMMER=`grep -n "^BINDIR=.*" /tmp/woerterbuch$$ | cut -f1 -d:`
echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
echo "< BINDIR=\$HOME/bin/Steak" >> /tmp/diff$$
echo "---" >> /tmp/diff$$
echo "> BINDIR=$SteakVERZEICHNIS" >> /tmp/diff$$
patch /tmp/woerterbuch$$ /tmp/diff$$
cp /tmp/woerterbuch$$ $SteakVERZEICHNIS/woerterbuch


NUMMER=`grep -n "^SteakDIR=.*" $SteakVERZEICHNIS/.Steakconfig | cut -f1 -d:`
echo "$NUMMER"c"$NUMMER" > /tmp/diff$$
echo "< SteakDIR=\$HOME/bin/Steak/Datensatz" >> /tmp/diff$$
echo "---" >> /tmp/diff$$
echo "> SteakDIR=$SteakVERZEICHNIS/Datensatz" >> /tmp/diff$$
patch $SteakVERZEICHNIS/.Steakconfig /tmp/diff$$
rm -f $SteakVERZEICHNIS/.Steakconfig.orig

rm /tmp/diff$$ /tmp/woerterbuch$$* 
echo
echo "Ihre PATH-Variable beinhaltet folgende Verzeichnisse!"
echo "$PATH"
echo "Wo soll ein Link zu dem woerterbuch-Programm gesetzt werden,"
echo "damit Sie das Programm aufrufen koennen? [/usr/local/bin]"
read LINKVERZEICHNIS

if [ -z $LINKVERZEICHNIS ]
then 
    LINKVERZEICHNIS=/usr/local/bin
fi 

rm -f $LINKVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/steak
ln -s $SteakVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/woerterbuch
ln -s $SteakVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/steak


echo
echo "Die Pakete wurden erfolgreich installiert."
echo "Viel Spass beim Benutzen des Programms :-)"






